[ARVADOS] updated: 1.3.0-1828-g3e0acd1c3
Git user
git at public.curoverse.com
Fri Nov 1 19:27:01 UTC 2019
Summary of changes:
tools/arvbox/lib/arvbox/docker/cluster-config.sh | 6 ++++++
1 file changed, 6 insertions(+)
via 3e0acd1c320fc2822ddca8cd0ebb8f471c8672e4 (commit)
from 7c8e061fa3a36963a0e564757c677415962ffb46 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 3e0acd1c320fc2822ddca8cd0ebb8f471c8672e4
Author: Peter Amstutz <pamstutz at veritasgenetics.com>
Date: Fri Nov 1 15:26:43 2019 -0400
Arvbox sets SystemRootToken
no issue #
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <pamstutz at veritasgenetics.com>
diff --git a/tools/arvbox/lib/arvbox/docker/cluster-config.sh b/tools/arvbox/lib/arvbox/docker/cluster-config.sh
index 2081c2ae1..8fd088a13 100755
--- a/tools/arvbox/lib/arvbox/docker/cluster-config.sh
+++ b/tools/arvbox/lib/arvbox/docker/cluster-config.sh
@@ -34,6 +34,11 @@ if ! test -s /var/lib/arvados/management_token ; then
fi
management_token=$(cat /var/lib/arvados/management_token)
+if ! test -s /var/lib/arvados/system_root_token ; then
+ ruby -e 'puts rand(2**400).to_s(36)' > /var/lib/arvados/system_root_token
+fi
+system_root_token=$(cat /var/lib/arvados/system_root_token)
+
if ! test -s /var/lib/arvados/sso_app_secret ; then
ruby -e 'puts rand(2**400).to_s(36)' > /var/lib/arvados/sso_app_secret
fi
@@ -68,6 +73,7 @@ fi
cat >/var/lib/arvados/cluster_config.yml <<EOF
Clusters:
${uuid_prefix}:
+ SystemRootToken: $system_root_token
ManagementToken: $management_token
Services:
RailsAPI:
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list